---
title: "infra-trivy"

description: "deploy trivy-operator"

---

# infra-trivy

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square)

deploy trivy-operator

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Values

### Commons Monitoring

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.grafana.dashboards.labels | object | `{"grafana_dashboard":"1"}` | labels of grafana dashboard configmap |
| commons.prometheus.alertmanager.labels | object | `{}` | labels on AlertmanagerConf |
| commons.prometheus.monitor.labels | object | `{}` | labels on Pod- and Service-Monitor |
| commons.prometheus.rules.labels | object | `{}` | labels on PrometheusRules |

### Commons helm release

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| commons.helm.release.driftDetection | object | `{}` | driftDetection of FluxCD HelmRelease |
| commons.helm.release.install | object | `{}` | install of FluxCD HelmRelease |
| commons.helm.release.test | object | `{}` | test of FluxCD HelmRelease |
| commons.helm.release.upgrade | object | `{}` | upgrade of FluxCD HelmRelease |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| grafana.dashboards.annotations | object | `{}` | annotations of grafana dashboard configmap |
| init.namespace | string | `"bases"` |  |
| init.version | int | `0` |  |
| prometheus.rules.clusterCompliance.enabled | bool | `false` |  |
| prometheus.rules.clusterRBACAssessments.enabled | bool | `false` |  |
| prometheus.rules.clusterRBACAssessments.info.enabled | bool | `false` |  |
| prometheus.rules.clusterRBACAssessments.warning.enabled | bool | `false` |  |
| prometheus.rules.enabled | bool | `true` |  |
| prometheus.rules.imageExposedSecrets.enabled | bool | `true` |  |
| prometheus.rules.imageExposedSecrets.info.enabled | bool | `false` |  |
| prometheus.rules.imageExposedSecrets.warning.enabled | bool | `false` |  |
| prometheus.rules.imageVulnerabilities.enabled | bool | `false` |  |
| prometheus.rules.imageVulnerabilities.info.enabled | bool | `false` |  |
| prometheus.rules.imageVulnerabilities.warning.enabled | bool | `false` |  |
| prometheus.rules.infraAssessments.enabled | bool | `true` |  |
| prometheus.rules.infraAssessments.info.enabled | bool | `true` |  |
| prometheus.rules.infraAssessments.warning.enabled | bool | `true` |  |
| prometheus.rules.resourceConfigAudits.enabled | bool | `true` |  |
| prometheus.rules.resourceConfigAudits.info.enabled | bool | `false` |  |
| prometheus.rules.resourceConfigAudits.warning.enabled | bool | `false` |  |
| prometheus.rules.roleRBACAssessments.enabled | bool | `false` |  |
| prometheus.rules.roleRBACAssessments.info.enabled | bool | `false` |  |
| prometheus.rules.roleRBACAssessments.warning.enabled | bool | `false` |  |
| scans.concurrent | int | `2` |  |
| scans.ttl | string | `"168h"` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
