{{- define "mycloud-matrix.domain" -}}
{{ .Values.server.host | default .Values.commons.ingress.domain }}
{{- end }}

{{- define "mycloud-matrix.domain.auth" -}}
{{ .Values.commons.auth.host | default (printf "auth.%s" .Values.commons.ingress.domain) }}
{{- end }}

{{- define "mycloud-matrix.host.server" -}}
{{ .Values.ingress.server.host | default (printf "matrix.%s" .Values.commons.ingress.domain) }}
{{- end }}

{{- define "mycloud-matrix.host.slidingSync" -}}
{{ .Values.ingress.slidingSync.host | default (printf "sliding.matrix.%s" .Values.commons.ingress.domain) }}
{{- end }}

{{- define "mycloud-matrix.host.authenticationService" -}}
{{ .Values.ingress.authenticationService.host | default (printf "auth.matrix.%s" .Values.commons.ingress.domain) }}
{{- end }}
